curl --location --request POST 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"content": "Indemnity looks acceptable now."
}'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"content": "Indemnity looks acceptable now."
}),
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
payload = {
"content": "Indemnity looks acceptable now."
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity looks acceptable now.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
Tasks
Add Comment
Add an internal comment to a task.
POST
/
api
/
v1
/
tasks
/
{task_id}
/
comments
curl --location --request POST 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"content": "Indemnity looks acceptable now."
}'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"content": "Indemnity looks acceptable now."
}),
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
payload = {
"content": "Indemnity looks acceptable now."
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity looks acceptable now.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
Attach files by passing ids from the file upload endpoint.
Body parameters
string
required
Comment body.
array
Files to attach, from the file upload endpoint.
curl --location --request POST 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"content": "Indemnity looks acceptable now."
}'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"content": "Indemnity looks acceptable now."
}),
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
payload = {
"content": "Indemnity looks acceptable now."
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity looks acceptable now.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
⌘I